singleton Material(hatch)
{
    mapTo = "hatch";
    diffuseMap[2] = "vehicles/hatch/hatch_c.dds";
    specularMap[2] = "vehicles/hatch/hatch_s.dds";
    normalMap[2] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_d.dds";
    specularMap[1] = "vehicles/hatch/hatch_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chassis_txt_duhen)
{
    mapTo = "chassis_txt_duhen";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chassis_2_txt_duhen)
{
    mapTo = "chassis_2_txt_duhen";
    diffuseMap[2] = "Duhen_frame_c.dds";
    //specularMap[2] = "Duhen_frame_s.dds";
   //normalMap[2] = "hatch_n.dds";
    diffuseMap[1] = "Duhen_frame.dds";
    //specularMap[1] = "Duhen_frame_s.dds";
   //normalMap[1] = "hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
   //normalMap[0] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(doors_TXT_duhen)
{
    mapTo = "doors_TXT_duhen";
    diffuseMap[2] = "Duhen_F_door_c.dds";
    //specularMap[2] = "Duhen_frame_s.dds";
   //normalMap[2] = "hatch_n.dds";
    diffuseMap[1] = "Duhen_F_door.dds";
    //specularMap[1] = "Duhen_frame_s.dds";
   //normalMap[1] = "hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
   //normalMap[0] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dash_TXT)
{
    mapTo = "dash_TXT";
	diffuseMap[0] = "Duhen_dash.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(seats_TXT)
{
    mapTo = "seats_TXT";
	diffuseMap[0] = "Duhen_F_seat.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(interior_TXT)
{
    mapTo = "interior_TXT";
	diffuseMap[0] = "Duhen_interior.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(hatch_bumpers)
{
    mapTo = "hatch_bumpers";
    diffuseMap[1] = "vehicles/hatch/hatch_bumpers_d.dds";
    specularMap[1] = "vehicles/hatch/hatch_bumpers_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_bumpers_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_bumpers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_lettering)
{
    mapTo = "hatch_lettering";
    specularMap[0] = "vehicles/hatch/hatch_lettering_s.dds";
    normalMap[0] = "vehicles/hatch/hatch_lettering_n.dds";
    diffuseMap[0] = "vehicles/hatch/hatch_lettering_d.dds";
    reflectivityMap[0] = "vehicles/hatch/hatch_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(hatch_carbonfibre)
{
    mapTo = "hatch_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    specularMap[1] = "vehicles/hatch/hatch_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	detailScale[2] = 25;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_interior)
{
    mapTo = "hatch_interior";
    reflectivityMap[1] = "vehicles/hatch/hatch_interior_s.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_interior_d.dds";
    specularMap[1] = "vehicles/hatch/hatch_interior_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_interior_n.dds";
    reflectivityMap[0] = "vehicles/hatch/hatch_interior_s.dds";
    diffuseMap[0] = "vehicles/hatch/hatch_interior_d.dds";
    specularMap[0] = "vehicles/hatch/hatch_interior_s.dds";
    normalMap[0] = "vehicles/hatch/hatch_interior_n.dds";
    diffuseColor[1] = "0.34 0.355 0.37 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_glass)
{
    mapTo = "hatch_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/hatch/hatch_glass_d.dds";
    opacityMap[0] = "vehicles/hatch/hatch_glass_d.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_glass_int)
{
    mapTo = "hatch_glass_int";
    diffuseMap[0] = "vehicles/hatch/hatch_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_glass_dmg)
{
    mapTo = "hatch_glass_dmg";
    diffuseMap[0] = "vehicles/hatch/hatch_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/hatch/hatch_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_windshield_dmg)
{
    mapTo = "hatch_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/hatch/hatch_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_gauges)
{
    mapTo = "hatch_gauges";
    diffuseMap[0] = "vehicles/hatch/hatch_gauges_d.dds";
    specularMap[0] = "vehicles/hatch/hatch_gauges_s.dds";
    normalMap[0] = "vehicles/hatch/hatch_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(hatch_gauges_on)
{
    mapTo = "hatch_gauges_on";
    diffuseMap[1] = "vehicles/hatch/hatch_gauges_g.dds";
    specularMap[1] = "vehicles/hatch/hatch_gauges_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_gauges_n.dds";
    diffuseMap[0] = "vehicles/hatch/hatch_gauges_d.dds";
    specularMap[0] = "vehicles/hatch/hatch_gauges_s.dds";
    normalMap[0] = "vehicles/hatch/hatch_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "0.5 1.7 1.3 1";
};

singleton Material(taillight_int_on)
{
    mapTo = "taillight_int_on";
    diffuseMap[2] = "Duhen_taillights_lit.dds";
    diffuseMap[1] = "Duhen_taillights_lit.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.09";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(headlights_TXT_duhen_on)
{
    mapTo = "headlights_TXT_duhen_on";
    diffuseMap[2] = "Duhen_headlights_lit.dds";
    diffuseMap[1] = "Duhen_headlights_lit.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.09";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(headlights_TXT_duhen_on_intense)
{
    mapTo = "headlights_TXT_duhen_on_intense";
    diffuseMap[2] = "Duhen_headlights_lit.dds";
    diffuseMap[1] = "Duhen_headlights_lit.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.09";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(taillight_int_on_intense)
{
    mapTo = "taillight_int_on_intense";
    diffuseMap[2] = "Duhen_taillights_lit.dds";
    diffuseMap[1] = "Duhen_taillights_lit.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_lights)
{
    mapTo = "hatch_lights";
    diffuseMap[1] = "vehicles/hatch/hatch_lights_d.dds";
    specularMap[1] = "vehicles/hatch/hatch_lights_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_lights_n.dds";
    //diffuseMap[2] = "vehicles/hatch/hatch_lights_dirt.dds";
    //normalMap[2] = "vehicles/hatch/hatch_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(headlights_TXT_duhen)
{
    mapTo = "headlights_TXT_duhen";
    diffuseMap[1] = "Duhen_headlights.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(taillight_int)
{
    mapTo = "taillight_int";
    diffuseMap[1] = "Duhen_taillights.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(taillight_int_dmg)
{
    mapTo = "taillight_int_dmg";
    diffuseMap[1] = "Duhen_taillights_dmg.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(headlights_TXT_duhen_dmg)
{
    mapTo = "headlights_TXT_duhen_dmg";
    diffuseMap[1] = "Duhen_headlights_dmg.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_reverselight)
{
    mapTo = "hatch_reverselight";
};

singleton Material(hatch_signal_R)
{
    mapTo = "hatch_signal_R";
};

singleton Material(hatch_signal_L)
{
    mapTo = "hatch_signal_L";
};

singleton Material(hatch_headlight)
{
    mapTo = "hatch_headlight";
};

singleton Material(hatch_parkinglight)
{
    mapTo = "hatch_parkinglight";
};

singleton Material(hatch_chmsl)
{
    mapTo = "hatch_chmsl";
};

singleton Material(hatch_taillight)
{
    mapTo = "hatch_taillight";
};

singleton Material(hatch_highbeam)
{
    mapTo = "hatch_highbeam";
};
